Deployment–PDT 2.3 is now available on TechNet Gallery

Deployment–PDT 2.3 is now available on TechNet Gallery

  • Comments 1
  • Likes

Just a quick post to let everyone know that version 2.3 of the PowerShell Deployment Toolkit has now been posted to the TechNet Gallery here.  The major enhancement in 2.3 is pre-installation validation – Installer.ps1 will now run a series of validation checks based on the deployment specified in Variable.xml, and will not begin the deployment until all validations pass.

The pre-deployment validation checks are:

  • All target servers specified for access by both the current logged on user and the Installer service account.
  • All service accounts credentials.
  • The operating system version for each role to be deployed.
  • SSL certificates for roles that require them.
  • Minimum memory on target servers.
  • All role dependencies.
  • Valid role combinations.
  • Valid role instance counts.
  • All required variables for roles and SQL.

Version 2.3 also corrects a few minor issues with the previous version.  If you have run Downloader.ps1 from version 2.2, you will need to re-run it.  Assuming you have your original download location intact, it won’t download everything again – instead, it will just replace a couple of prerequisites with new versions and add one additional prerequisite that was missing.

Your comment has been posted.   Close
Thank you, your comment requires moderation so it may take a while to appear.   Close
Leave a Comment
  • Thanks for the efforts you're putting in here. It's really amazing how this toolkit helps deploying reproducible System Center Labs in hours instead of days and weeks.

    Really appreciate it.

    Cheers

    Michael

    www.miru.ch